MulticastSocketFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.multicast.MulticastSocketFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.multicast
Class MulticastSocketFactory

    java.lang.Object
      org.mule.transport.udp.UdpSocketFactory
          org.mule.transport.multicast.MulticastSocketFactory

All Implemented Interfaces:
  KeyedPoolableObjectFactory

    public class MulticastSocketFactory

extends UdpSocketFactory

TODO

Field Summary

Fields inherited from class org.mule.transport.udp.UdpSocketFactory
`logger`

Constructor Summary
`MulticastSocketFactory()`

Method Summary
`protected DatagramSocket` | `createSocket()`
`protected DatagramSocket` | `createSocket(int port)`
`protected DatagramSocket` | `createSocket(int port, InetAddress inetAddress)`
`void` | `destroyObject(Object key, Object object)`
`Object` | `makeObject(Object key)`

Methods inherited from class org.mule.transport.udp.UdpSocketFactory
`activateObject, passivateObject, validateObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MulticastSocketFactory

    public MulticastSocketFactory()

Method Detail

### makeObject

    public Object makeObject(Object key)
                      throws Exception

  Specified by:
    `makeObject` in interface `KeyedPoolableObjectFactory`
  Overrides:
    `makeObject` in class `UdpSocketFactory`
  Throws:
    `Exception`

### destroyObject

    public void destroyObject(Object key,
                              Object object)
                       throws Exception

  Specified by:
    `destroyObject` in interface `KeyedPoolableObjectFactory`
  Overrides:
    `destroyObject` in class `UdpSocketFactory`
  Throws:
    `Exception`

### createSocket

    protected DatagramSocket createSocket()
                                   throws IOException

  Overrides:
    `createSocket` in class `UdpSocketFactory`
  Throws:
    `IOException`

### createSocket

    protected DatagramSocket createSocket(int port)
                                   throws IOException

  Overrides:
    `createSocket` in class `UdpSocketFactory`
  Throws:
    `IOException`

### createSocket

    protected DatagramSocket createSocket(int port,
                                          InetAddress inetAddress)
                                   throws IOException

  Overrides:
    `createSocket` in class `UdpSocketFactory`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.